
%define module	Net-IP-Match-Regexp
%define name	perl-%{module}
%define version	1.00
%define rel	1

Summary:	Efficiently match IP addresses against IP ranges via regexp
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{module}-%{version}.tar.gz
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch
%define _requires_exceptions perl(re)

%description
This module allows you to check an IP address against one or more IP
ranges.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES
%{perl_vendorlib}/Net
%{_mandir}/man3/*



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.00-1mdv2008.1
+ Revision: 136304
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 1.00-1mdv2008.0
+ Revision: 81920
- 1.00

* Sun Jun 03 2007 Anssi Hannula <anssi@mandriva.org> 0.94-3mdv2008.0
+ Revision: 34872
- annual rebuild


* Sun May 28 2006 Anssi Hannula <anssi@mandriva.org> 0.94-2mdv2007.0
- _requires_exception perl(re)

* Sun May 28 2006 Anssi Hannula <anssi@mandriva.org> 0.94-1mdv2007.0
- initial Mandriva package

